CRMchat APIBeta
Telegram APIPremium

premium.getUserBoosts

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/premium.getUserBoosts

Returns the lists of boost that were applied to a channel/supergroup by a specific user (admins only)

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Returns the lists of boost that were applied to a channel/supergroup by a specific user (admins only)

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/premium.getUserBoosts" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "userId": {        "_": "inputUserEmpty"      }    }  }'
{  "result": {    "_": "premium.boostsList",    "count": 0,    "boosts": [      {        "_": "boost",        "gift": true,        "giveaway": true,        "unclaimed": true,        "id": "string",        "userId": 0,        "giveawayMsgId": 0,        "date": 0,        "expires": 0,        "usedGiftSlug": "string",        "multiplier": 0,        "stars": "string"      }    ],    "nextOffset": "string",    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}